<div class="homepage">
  <header>
    <div class="title">Hello, <span class="user-name">{{userName}}!</span></div>
    <div class="sub-title">You have {{wishlist.length}} items in your <a href="">wishlist</a>.</div>
  </header>
  <div class="row controls">
    <div class="input-group book-search col-6">
      <input #inputElm type="text" class="form-control" placeholder="book name"
              aria-label="book name" (keyup)="bookSearch(inputElm.value)">
      <i class="fa fa-search"></i>
    </div>

    <div class="input-group book-filter offset-3 col-3">
      <input type="text" class="form-control" aria-label="Filter" placeholder="Filter...">
      <div class="input-group-append">
        <button class="btn btn-outline-secondary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"></button>
        <div class="dropdown-menu">
          <a class="dropdown-item" href="#">Name</a>
          <a class="dropdown-item" href="#">Author</a>
        </div>
      </div>
    </div>

    <div class="row book-list" *ngIf="bookList">
      <div class="card-book" *ngFor="let book of bookList; let index = index;">
        <div class="mask">
            <img *ngIf="book.volumeInfo?.imageLinks?.thumbnail" src="{{book.volumeInfo.imageLinks.thumbnail}}">
        </div>
        <div class="book-info">
            <div class="book-name">{{book?.volumeInfo?.title}}</div>
            <div class="book-author">{{book.volumeInfo?.authors}}</div>
        </div>
        <div class="action-btns">
            <div class="more-info" (click)="showDialog(book)"
                data-toggle="modal" data-target="#exampleModalCenter">More Info</div>
            <i class="fa fa-heart" [ngClass]="{'in-wishlist': isInWishlist(book)}"></i>
          </div>
      </div>
    </div>

  </div>
</div>

<!-- Modal -->
<div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <div class="modal-title" *ngIf="bookModal?.volumeInfo?.title">
            {{bookModal?.volumeInfo?.title}}
          </div>
          <div class="modal-author" *ngIf="bookModal?.volumeInfo?.authors">
            by {{bookModal?.volumeInfo?.authors}} {{bookModal?.volumeInfo?.publishedDate}}
          </div>
        </div>
        <div class="modal-body">
          <img *ngIf="bookModal?.volumeInfo?.imageLinks?.thumbnail" src="{{bookModal.volumeInfo.imageLinks.thumbnail}}">
          <div class="description" *ngIf="bookModal?.volumeInfo?.description">
            "{{bookModal?.volumeInfo?.description}}"
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary wishlist-btn" data-dismiss="modal"
                  [disabled]="isInWishlist(bookModal)" (click)="addToWishlist(bookModal)">
              <i class="fa fa-heart"></i>
              <span>Add to Wishlist</span>
          </button>
          <button type="button" class="btn btn-secondary close-btn" data-dismiss="modal">
            Close</button>
        </div>
      </div>
    </div>
  </div>
